DATE(1)

NAME
date - Print or set the system date and time

SYNOPSIS
date [-d|--date] [-f|--file] [-I|--iso-8601] [--resolution] [-R|--rfc-email] [--rfc-3339] [--debug] [-r|--reference] [-s|--set] [-u|--universal] [-h|--help] [-V|--version] [format]

DESCRIPTION
Print or set the system date and time

OPTIONS

-d, --date <STRING>
    display time described by STRING, not 'now'

-f, --file <DATEFILE>
    like --date; once for each line of DATEFILE

-I, --iso-8601 [<FMT>]
    output date/time in ISO 8601 format. FMT='date' for date only (the default), 'hours', 'minutes', 'seconds', or 'ns' for date and time to the indicated precision. Example: 2006-08-14T02:34:56-06:00 Possible values:

    •   date

    •   hours

    •   minutes

    •   seconds

    •   ns

--resolution
    output the available resolution of timestamps Example: 0.000000001

-R, --rfc-email
    output date and time in RFC 5322 format. Example: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339 <FMT>
    output date/time in RFC 3339 format. FMT='date', 'seconds', or 'ns' for date and time to the indicated precision. Example: 2006-08-14 02:34:56-06:00 Possible values:

    •   date

    •   seconds

    •   ns

--debug
    annotate the parsed date, and warn about questionable usage to stderr

-r, --reference <FILE>
    display the last modification time of FILE

-s, --set <STRING>
    set time described by STRING (not available on mac yet)

-u, --universal
    print or set Coordinated Universal Time (UTC)

-h, --help
    Print help

-V, --version
    Print version

[format]

EXTRA
## Examples Display the current date using the default locale's format: date +%c Display the current date in UTC, using the ISO 8601 format: date {{[-u|--utc]}} +%Y-%m-%dT%H:%M:%S%Z Display the current date as a Unix timestamp (seconds since the Unix epoch): date +%s Convert a date specified as a Unix timestamp to the default format: date {{[-d|--date]}} @{{1473305798}} Convert a given date to the Unix timestamp format: date {{[-d|--date]}} "{{2018-09-01 00:00}}" +%s {{[-u|--utc]}} Display the current date using the RFC-3339 format (`YYYY-MM-DD hh:mm:ss TZ`) and specify its precision: date --rfc-3339 {{date|seconds|ns}} Set the current date using the format `MMDDhhmmYYYY.ss` (`YYYY` and `.ss` are optional): sudo date {{093023592021.59}} Display the current ISO week number: date +%V > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0